{% extends 'base.html.twig' %}

{% block title %}Connection{% endblock %}

{% block body %}

<form method="post">
    {% if error %}
        <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
    {% endif %}

    {% if app.user %}
        <div class="mb-3">
            You are logged in as {{ app.user.username }}, <a href="{{ path('app_logout') }}">Logout</a>
        </div>
    {% endif %}

    <h1 class="h3 mb-3 font-weight-normal">Enregistrez vous</h1>
    <nav class="navbar">

        <ul id="accueil">
            <a href="/presentation">  <li class="nav-link"> Présentation</li> </a>
            <a href="/definition">  <li class="nav-link"> Définitions</li> </a>
            <a href="/login">  <li class="nav-link"> Se connecter</li> </a>
            <a href="/register">  <li class="nav-link"> S'inscrire</li> </a>

        </ul>
    </nav>
    <label for="inputUsername" class="sr-only">Username</label>
    <input type="text" value="{{ last_username }}" name="username" id="inputUsername" class="form-control" placeholder="Nom" required autofocus>
    <label for="inputPassword" class="sr-only">Password</label>
    <input type="password" name="password" id="inputPassword" class="form-control" placeholder="Mot De Passe" required>

    <input type="hidden" name="_csrf_token"
           value="{{ csrf_token('authenticate') }}"
    >


{#        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.#}
{#        See https://symfony.com/doc/current/security/remember_me.html#}

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Se souvenir de moi
            </label>
        </div>


    <button class="btn-lg btn-secondary" type="submit">
        Connection au vortex (aussi incompétent soit il)
    </button>
</form>
{% endblock %}
